### Hierarchy

- DialogApi

### Implemented by

- DialogService

## Index

### Properties

- lastServiceActivity

### Methods

- addAttachment
- addClientListener
- changeMode
- changeView
- createSession
- deleteDialog
- deleteSession
- getActions
- getAvailableValues
- getContent
- getDialog
- getEditorProperty
- getMode
- getQueryProperty
- getRecord
- getRecords
- getRedirection
- getSession
- getView
- getViews
- getWorkbench
- getWorkbenchActions
- getWorkbenches
- isAnyUserInBriefcaseMode
- isUserInBriefcaseMode
- performAction
- performWorkbenchAction
- propertyChange
- putRecord
- removeClientListener
- streamUrl
- writeProperty

## Properties

### lastServiceActivity

lastServiceActivity: Date

- Defined in dialog/DialogApi.ts:27

## Methods

### addAttachment

- addAttachment(tenantId: string, sessionId: string, dialogId: string, attachment: Attachment): Promise<void>

- - Defined in dialog/DialogApi.ts:29

  #### Parameters

  - ##### tenantId: string

  - ##### sessionId: string

  - ##### dialogId: string

  - ##### attachment: Attachment

  #### Returns Promise<void>

### addClientListener

- addClientListener(clientListener: ClientListener, locale: CvLocale): any

- - Defined in dialog/DialogApi.ts:31

  #### Parameters

  - ##### clientListener: ClientListener

  - ##### locale: CvLocale

  #### Returns any

### changeMode

- changeMode(tenantId: string, sessionId: string, dialogId: string, mode: ViewMode): Promise<EditorDialog | Redirection>

- - Defined in dialog/DialogApi.ts:129

  #### Parameters

  - ##### tenantId: string

  - ##### sessionId: string

  - ##### dialogId: string

  - ##### mode: ViewMode

  #### Returns Promise<EditorDialog | Redirection>

### changeView

- changeView(tenantId: string, sessionId: string, dialogId: string, viewId: string): Promise<Dialog>

- - Defined in dialog/DialogApi.ts:138

  #### Parameters

  - ##### tenantId: string

  - ##### sessionId: string

  - ##### dialogId: string

  - ##### viewId: string

  #### Returns Promise<Dialog>

### createSession

- createSession(tenantId: string, login: Login): Promise<Session | Redirection>

- - Defined in dialog/DialogApi.ts:35

  #### Parameters

  - ##### tenantId: string

  - ##### login: Login

  #### Returns Promise<Session | Redirection>

### deleteDialog

- deleteDialog(tenantId: string, sessionId: string, dialogId: string): Promise<object>

- - Defined in dialog/DialogApi.ts:54

  #### Parameters

  - ##### tenantId: string

  - ##### sessionId: string

  - ##### dialogId: string

  #### Returns Promise<object>

### deleteSession

- deleteSession(tenantId: string, sessionId: string): Promise<object>

- - Defined in dialog/DialogApi.ts:39

  #### Parameters

  - ##### tenantId: string

  - ##### sessionId: string

  #### Returns Promise<object>

### getActions

- getActions(tenantId: string, sessionId: string, dialogId: string): Promise<Array<Menu>>

- - Defined in dialog/DialogApi.ts:56

  #### Parameters

  - ##### tenantId: string

  - ##### sessionId: string

  - ##### dialogId: string

  #### Returns Promise<Array<Menu>>

### getAvailableValues

- getAvailableValues(tenantId: string, sessionId: string, dialogId: string, propertyName: string, availableValuesParams: AvailableValuesParameters): Promise<Array<any>>

- - Defined in dialog/DialogApi.ts:119

  #### Parameters

  - ##### tenantId: string

  - ##### sessionId: string

  - ##### dialogId: string

  - ##### propertyName: string

  - ##### availableValuesParams: AvailableValuesParameters

  #### Returns Promise<Array<any>>

### getContent

- getContent(tenantId: string, sessionId: string, contentId: string, readLargePropertyParams: ReadLargePropertyParameters): Promise<LargeProperty>

- - Defined in dialog/DialogApi.ts:41

  #### Parameters

  - ##### tenantId: string

  - ##### sessionId: string

  - ##### contentId: string

  - ##### readLargePropertyParams: ReadLargePropertyParameters

  #### Returns Promise<LargeProperty>

### getDialog

- getDialog(tenantId: string, sessionId: string, dialogId: string): Promise<Dialog>

- - Defined in dialog/DialogApi.ts:52

  #### Parameters

  - ##### tenantId: string

  - ##### sessionId: string

  - ##### dialogId: string

  #### Returns Promise<Dialog>

### getEditorProperty

- getEditorProperty(tenantId: string, sessionId: string, dialogId: string, propertyName: string, readLargePropertyParams: ReadLargePropertyParameters): Promise<LargeProperty>

- - Defined in dialog/DialogApi.ts:83

  #### Parameters

  - ##### tenantId: string

  - ##### sessionId: string

  - ##### dialogId: string

  - ##### propertyName: string

  - ##### readLargePropertyParams: ReadLargePropertyParameters

  #### Returns Promise<LargeProperty>

### getMode

- getMode(tenantId: string, sessionId: string, dialogId: string): Promise<ViewMode>

- - Defined in dialog/DialogApi.ts:127

  #### Parameters

  - ##### tenantId: string

  - ##### sessionId: string

  - ##### dialogId: string

  #### Returns Promise<ViewMode>

### getQueryProperty

- getQueryProperty(tenantId: string, sessionId: string, dialogId: string, propertyName: string, readLargePropertyParams: ReadLargePropertyParameters): Promise<LargeProperty>

- - Defined in dialog/DialogApi.ts:91

  #### Parameters

  - ##### tenantId: string

  - ##### sessionId: string

  - ##### dialogId: string

  - ##### propertyName: string

  - ##### readLargePropertyParams: ReadLargePropertyParameters

  #### Returns Promise<LargeProperty>

### getRecord

- getRecord(tenantId: string, sessionId: string, dialogId: string): Promise<Record>

- - Defined in dialog/DialogApi.ts:81

  #### Parameters

  - ##### tenantId: string

  - ##### sessionId: string

  - ##### dialogId: string

  #### Returns Promise<Record>

### getRecords

- getRecords(tenantId: string, sessionId: string, dialogId: string, queryParams: QueryParameters): Promise<RecordSet>

- - Defined in dialog/DialogApi.ts:117

  #### Parameters

  - ##### tenantId: string

  - ##### sessionId: string

  - ##### dialogId: string

  - ##### queryParams: QueryParameters

  #### Returns Promise<RecordSet>

### getRedirection

- getRedirection(tenantId: string, sessionId: string, redirectionId: string): Promise<Redirection>

- - Defined in dialog/DialogApi.ts:79

  #### Parameters

  - ##### tenantId: string

  - ##### sessionId: string

  - ##### redirectionId: string

  #### Returns Promise<Redirection>

### getSession

- getSession(tenantId: string, sessionId: string): Promise<Session>

- - Defined in dialog/DialogApi.ts:37

  #### Parameters

  - ##### tenantId: string

  - ##### sessionId: string

  #### Returns Promise<Session>

### getView

- getView(tenantId: string, sessionId: string, dialogId: string): Promise<View>

- - Defined in dialog/DialogApi.ts:136

  #### Parameters

  - ##### tenantId: string

  - ##### sessionId: string

  - ##### dialogId: string

  #### Returns Promise<View>

### getViews

- getViews(tenantId: string, sessionId: string, dialogId: string): Promise<Array<ViewDescriptor>>

- - Defined in dialog/DialogApi.ts:140

  #### Parameters

  - ##### tenantId: string

  - ##### sessionId: string

  - ##### dialogId: string

  #### Returns Promise<Array<ViewDescriptor>>

### getWorkbench

- getWorkbench(tenantId: string, sessionId: string, workbenchId: string): Promise<Workbench>

- - Defined in dialog/DialogApi.ts:50

  #### Parameters

  - ##### tenantId: string

  - ##### sessionId: string

  - ##### workbenchId: string

  #### Returns Promise<Workbench>

### getWorkbenchActions

- getWorkbenchActions(tenantId: string, sessionId: string, workbenchId: string): Promise<Array<WorkbenchAction>>

- - Defined in dialog/DialogApi.ts:70

  #### Parameters

  - ##### tenantId: string

  - ##### sessionId: string

  - ##### workbenchId: string

  #### Returns Promise<Array<WorkbenchAction>>

### getWorkbenches

- getWorkbenches(tenantId: string, sessionId: string): Promise<Array<Workbench>>

- - Defined in dialog/DialogApi.ts:48

  #### Parameters

  - ##### tenantId: string

  - ##### sessionId: string

  #### Returns Promise<Array<Workbench>>

### isAnyUserInBriefcaseMode

- isAnyUserInBriefcaseMode(tenantId: string): Promise<boolean>

- - Defined in dialog/DialogApi.ts:58

  #### Parameters

  - ##### tenantId: string

  #### Returns Promise<boolean>

### isUserInBriefcaseMode

- isUserInBriefcaseMode(userInfo: __type): Promise<boolean>

- - Defined in dialog/DialogApi.ts:60

  #### Parameters

  - ##### userInfo: __type

  #### Returns Promise<boolean>

### performAction

- performAction(tenantId: string, sessionId: string, dialogId: string, actionId: string, actionParameters: ActionParameters): Promise<Redirection>

- - Defined in dialog/DialogApi.ts:62

  #### Parameters

  - ##### tenantId: string

  - ##### sessionId: string

  - ##### dialogId: string

  - ##### actionId: string

  - ##### actionParameters: ActionParameters

  #### Returns Promise<Redirection>

### performWorkbenchAction

- performWorkbenchAction(tenantId: string, sessionId: string, workbenchId: string, actionId: string): Promise<Redirection>

- - Defined in dialog/DialogApi.ts:72

  #### Parameters

  - ##### tenantId: string

  - ##### sessionId: string

  - ##### workbenchId: string

  - ##### actionId: string

  #### Returns Promise<Redirection>

### propertyChange

- propertyChange(tenantId: string, sessionId: string, dialogId: string, propertyName: string, sideEffectsParams: SideEffectsParameters): Promise<SideEffectsResponse>

- - Defined in dialog/DialogApi.ts:107

  #### Parameters

  - ##### tenantId: string

  - ##### sessionId: string

  - ##### dialogId: string

  - ##### propertyName: string

  - ##### sideEffectsParams: SideEffectsParameters

  #### Returns Promise<SideEffectsResponse>

### putRecord

- putRecord(tenantId: string, sessionId: string, dialogId: string, record: Record): Promise<EditorDialog | Redirection>

- - Defined in dialog/DialogApi.ts:115

  #### Parameters

  - ##### tenantId: string

  - ##### sessionId: string

  - ##### dialogId: string

  - ##### record: Record

  #### Returns Promise<EditorDialog | Redirection>

### removeClientListener

- removeClientListener(clientListener: ClientListener): any

- - Defined in dialog/DialogApi.ts:33

  #### Parameters

  - ##### clientListener: ClientListener

  #### Returns any

### streamUrl

- streamUrl(tentantId: string, sessionId: string, url: string): Promise<StreamProducer>

- - Defined in dialog/DialogApi.ts:142

  #### Parameters

  - ##### tentantId: string

  - ##### sessionId: string

  - ##### url: string

  #### Returns Promise<StreamProducer>

### writeProperty

- writeProperty(tenantId: string, sessionId: string, dialogId: string, propertyName: string, writeLargePropertyParams: WriteLargePropertyParameters): Promise<object>

- - Defined in dialog/DialogApi.ts:99

  #### Parameters

  - ##### tenantId: string

  - ##### sessionId: string

  - ##### dialogId: string

  - ##### propertyName: string

  - ##### writeLargePropertyParams: WriteLargePropertyParameters

  #### Returns Promise<object>

Generated using TypeDoc